Bug 1600638 - Breadcrumb switcher in Smart class parameters has "Error: Unable to load resources"
Summary: Breadcrumb switcher in Smart class parameters has "Error: Unable to load reso...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: Liza
QA Contact: Perry Gagne
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-12 16:28 UTC by Perry Gagne
Modified: 2019-11-05 23:28 UTC (History)
5 users (show)

Fixed In Version: foreman-1.18.0.8-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:21:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 24313 None None None 2018-07-19 14:36:41 UTC

Description Perry Gagne 2018-07-12 16:28:34 UTC
Created attachment 1458467 [details]
screen shot of error

Description of problem: When attempting to use the breadcrumb switcher a smart class parameter page, an error is shown "Error: Unable to load resources" 

Version-Release number of selected component (if applicable): 6.4.0 snap 11


How reproducible: Always 


Steps to Reproduce:
1. Upload puppet modules, added to content view (i used ntp, motd, apache, and concat)
2. Configure -> Smart Class Parameters, select any parameter
3. Open context switch 

Actual results: Error: Unable to load resources.


Expected results: A list of all other smart class parameters in order to switch context too. If this isn't available, then we should remove the context switcher from this page. 


Additional info: Attached screen shot

Comment 4 Walden Raines 2018-07-19 14:36:39 UTC
Created redmine issue https://projects.theforeman.org/issues/24313 from this bug

Comment 5 pm-sat@redhat.com 2018-08-02 15:36:33 UTC
Upstream bug assigned to egilman@redhat.com

Comment 6 pm-sat@redhat.com 2018-08-07 14:05:20 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24313 has been resolved.

Comment 9 Bryan Kearney 2018-10-16 19:21:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.